%global upstream_name pytest-randomly
%global module_name pytest_randomly

Name:           python-%{upstream_name}
Version:        1.2.3
Release:        1%{?dist}
Summary:        Pytest plugin to randomly order tests and control random.seed
License:        BSD
URL:            https://github.com/pytest-dev/pytest-randomly
Source0:        https://files.pythonhosted.org/packages/source/p/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

%description
%{summary}.

%package -n python3-%{upstream_name}
Summary:        Pytest plugin to randomly order tests and control random.seed
%{?python_provide:%python_provide python3-%{upstream_name}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# Only for running the tests:
BuildRequires:  python3-pytest
BuildRequires:  python3-factory-boy
BuildRequires:  python3-numpy

%description -n python3-%{upstream_name}
%{summary}.

%prep
%setup -q -n %{upstream_name}-%{version}
rm -r *.egg-info

%build
%py3_build

%install
%py3_install

%check
# Tests are failing for now due to:
# https://bugzilla.redhat.com/show_bug.cgi?id=1662619
PYTHONPATH=%{buildroot}%{python3_sitelib} pytest-3 tests/ || :

%files -n python3-%{upstream_name}
%doc README.rst HISTORY.rst AUTHORS.rst
%license LICENSE
%{python3_sitelib}/%{module_name}.py
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{module_name}*.egg-info

%changelog
